=== debian/changelog ===
mupen64plus-video-glide64 (2.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key E05E608A04EF22F7596B

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2013 01:32:03 +0200

mupen64plus-video-glide64 (1.99.5+23+ecd597fb6dcf-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:25:52 +0200

mupen64plus-video-glide64 (1.99.5+23+ecd597fb6dcf-1) experimental; urgency=low

  * New Upstream Snapshot from ecd597fb6dcf8340f44832d3a28ea1716782375b
  * Enable link-time optimization in debian/rules similar to upstream
  * debian/patches:
    - Rebase printf_fixup.patch on top of 1.99.5+23+ecd597fb6dcf
  * debian/control:
    - Depend on mupen64plus-vidext-abi-3
    - Depend on mupen64plus-gfx-abi-2.2
    - Depend on mupen64plus-dev >= 1.99.5+207+cbb5cbe2d4fc

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:26:31 +0200

mupen64plus-video-glide64 (1.99.5+17+bfe79cebbe67-1) experimental; urgency=low

  * New upstream snapshot from revision bfe79cebbe67cd6dd09bb78dfefce052deea4cd2
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules
  * debian/patches:
    - Rebase printf_fixup.patch on top of 1.99.5+17+bfe79cebbe67

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:16:27 +0100

mupen64plus-video-glide64 (1.99.5+2+c2c2d8f0161b-1) experimental; urgency=low

  * New upstream snapshot from revision c2c2d8f0161b830a4adb3371d99e6179d7c4b227
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:34:14 +0100
