=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/wahrhaft/mupen64plus-video-glide64/downloads/ \
	/wahrhaft/mupen64plus-video-glide64/downloads/mupen64plus-video-glide64-src-(.*).tar.gz
