=== debian/changelog ===
mupen64plus-video-glide64 (2.0.0+33+g764d9fe-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:57 +0100

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-6) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:58:45 +0200

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-5) unstable; urgency=medium

  * debian/control:
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:55:14 +0200

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 3.9.8, no changes required
  * debian/patches:
    - Add Fix-build-with-GCC6.patch, Fix build with GCC6 (Closes: #831204)
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Thu, 14 Jul 2016 11:07:45 +0200

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-video-glide64-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright
  * Override the lintian warning about missing upstream changelog

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 13:56:42 +0100

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-2) unstable; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:52:05 +0100

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-1) unstable; urgency=medium

  * New Upstream Snapshot from 764d9feb278689b3b19226f2e2a77d679cdd9d99
  * Upload to unstable
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright:
    - Rewrite copyright information
    - Update years

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 14:31:25 +0200

mupen64plus-video-glide64 (2.0.0+27+gd644aca-1) experimental; urgency=medium

  * New Upstream Snapshot from d644acacb44313b5b7d9dfac9324925327eb14dd
  * debian/patches:
    - Remove upstream merged llvm_builtin_ftbfs.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 12:15:10 +0200

mupen64plus-video-glide64 (2.0.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/patches:
    - Add llvm_builtin_ftbfs.patch, Use SSE intrinsics instead of GCC specific
      __builtin functions
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:22:27 +0200
