=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-glide64/releases \
	/mupen64plus/mupen64plus-video-glide64/releases/download/[^/]+/mupen64plus-video-glide64-src-(.*\d).tar.gz
