## mupen64plus-video-glide64 2.5.9%2B9%2Bg04ec9ce

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64.git -b master
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-glide64
 Build-Depends:
- debhelper-compat (= 12),
- dpkg-dev (>= 1.16.1.1),
- libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 2.0),
+ debhelper-compat (= 13),
+ libgl-dev,
+ libmupen64plus-dev,
  libsdl2-dev,
  pkg-config,
 
@@ -30,8 +30,6 @@
  ${shlibs:Depends},
 Provides:
  mupen64plus-video,
-Breaks:
- libmupen64plus2 (<< 2.0),
 Description: Glide64 high-level graphics emulation for mupen64plus
  High-level graphics emulation plugin for known microcodes based on Glide. This
  version includes a Glide-to-OpenGL wrapper which makes it independent of
