=== debian/changelog ===
mupen64plus-video-glide64 (2.5.9+9+g04ec9ce-1) unstable; urgency=medium

  * New Upstream Snapshot from 04ec9ce981384c0cb11ac9ae37772835d61e6232
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 12:38:32 +0100

mupen64plus-video-glide64 (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:05 +0100

mupen64plus-video-glide64 (2.0.0+33+g764d9fe-7) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
  * Remove overrides for unsupported no-upstream-changelog lintian tag
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-video-glide64: Drop versioned constraint on libmupen64plus2 in
      Breaks.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:59:51 +0100
