## mupen64plus-video-glide64 2.6.0

=== debian/changelog ===
mupen64plus-video-glide64 (2.6.0-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:58:01 +0100

mupen64plus-video-glide64 (2.6.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Jul 2024 10:27:43 +0200

mupen64plus-video-glide64 (2.5.9+9+g04ec9ce-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required
  * Override invalid lintian warnings/errors

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:44:00 +0100
