=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64.git -b debian/unstable
@@ -15,7 +15,7 @@
  libgl-dev,
  libmupen64plus-dev,
  libsdl2-dev,
- pkg-config,
+ pkgconf,
 
 Package: mupen64plus-video-glide64
 Architecture: any-amd64 any-i386
